#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of tokenizers
# if [ `uname` == Darwin ]; then
#     if [ "$PY_VER" == "3.6" ]; then
#         wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_sparse-0.6.1%%2Bcu101-cp36-cp36-linux_x86_64.whl
#     elif [ "$PY_VER" == "3.7" ]; then
#         wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_sparse-0.6.1%%2Bcu101-cp37-cp37-linux_x86_64.whl
#     elif [ "$PY_VER" == "3.8" ]; then
#         wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_sparse-0.6.1%%2Bcu101-cp38-cp38-linux_x86_64.whl
#     fi
# fi

if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.6" ]; then
        wheel_url=https://files.pythonhosted.org/packages/e9/ee/fedc3509145ad60fe5b418783f4a4c1b5462a4f0e8c7bbdbda52bdcda486/tokenizers-0.8.1-cp36-cp36m-manylinux1_x86_64.whl
    elif [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://files.pythonhosted.org/packages/25/fc/775a802d0d59707a0a6448b0457c7222bd3d65a8232fbd02d904bae255b5/tokenizers-0.8.1-cp37-cp37m-manylinux1_x86_64.whl
    elif [ "$PY_VER" == "3.8" ]; then
        wheel_url=https://files.pythonhosted.org/packages/19/4e/b2d00586911796031e5feb5acbb81190c0426c4026320f799d62ab7acacb/tokenizers-0.8.1-cp38-cp38-manylinux1_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc

